# fvec8 Class Reference

An eight element vector of floats. More...

`#include <vectorize8.h>`

List of all members.

## Public Member Functions

| fvec8 ()
| fvec8 (float v)
| fvec8 (float v1, float v2, float v3, float v4, float v5, float v6, float v7, float v8)
| fvec8 (__m256 v)
| fvec8 (const float *v)
| operator __m256 () const
fvec4 | lowerVec () const
fvec4 | upperVec () const
void | store (float *v) const
fvec8 | operator+ (const fvec8 &other) const
fvec8 | operator- (const fvec8 &other) const
fvec8 | operator* (const fvec8 &other) const
fvec8 | operator/ (const fvec8 &other) const
void | operator+= (const fvec8 &other)
void | operator-= (const fvec8 &other)
void | operator*= (const fvec8 &other)
void | operator/= (const fvec8 &other)
fvec8 | operator- () const
fvec8 | operator& (const fvec8 &other) const
fvec8 | operator| (const fvec8 &other) const
fvec8 | operator== (const fvec8 &other) const
fvec8 | operator!= (const fvec8 &other) const
fvec8 | operator> (const fvec8 &other) const
fvec8 | operator< (const fvec8 &other) const
fvec8 | operator>= (const fvec8 &other) const
fvec8 | operator<= (const fvec8 &other) const
| operator ivec8 () const

## Public Attributes

__m256 | val

## Detailed Description

An eight element vector of floats.

## Constructor & Destructor Documentation

fvec8 | ( |  | ) | `[inline]`

fvec8 | ( | float | v | ) | `[inline]`

fvec8 | ( | float | v1,
|  | float | v2,
|  | float | v3,
|  | float | v4,
|  | float | v5,
|  | float | v6,
|  | float | v7,
|  | float | v8 |
| ) |  |  | `[inline]`

fvec8 | ( | __m256 | v | ) | `[inline]`

fvec8 | ( | const float * | v | ) | `[inline]`

## Member Function Documentation

fvec4 lowerVec | ( |  | ) | const`[inline]`

References val.

operator __m256 | ( |  | ) | const`[inline]`

References val.

operator ivec8 | ( |  | ) | const`[inline]`

References val.

fvec8 operator!= | ( | const fvec8 & | other | ) | const`[inline]`

References val.

fvec8 operator& | ( | const fvec8 & | other | ) | const`[inline]`

References val.

fvec8 operator* | ( | const fvec8 & | other | ) | const`[inline]`

References val.

void operator*= | ( | const fvec8 & | other | ) | `[inline]`

References val.

fvec8 operator+ | ( | const fvec8 & | other | ) | const`[inline]`

References val.

void operator+= | ( | const fvec8 & | other | ) | `[inline]`

References val.

fvec8 operator- | ( |  | ) | const`[inline]`

References val.

fvec8 operator- | ( | const fvec8 & | other | ) | const`[inline]`

References val.

void operator-= | ( | const fvec8 & | other | ) | `[inline]`

References val.

fvec8 operator/ | ( | const fvec8 & | other | ) | const`[inline]`

References val.

void operator/= | ( | const fvec8 & | other | ) | `[inline]`

References val.

fvec8 operator< | ( | const fvec8 & | other | ) | const`[inline]`

References val.

fvec8 operator<= | ( | const fvec8 & | other | ) | const`[inline]`

References val.

fvec8 operator== | ( | const fvec8 & | other | ) | const`[inline]`

References val.

fvec8 operator> | ( | const fvec8 & | other | ) | const`[inline]`

References val.

fvec8 operator>= | ( | const fvec8 & | other | ) | const`[inline]`

References val.

fvec8 operator| | ( | const fvec8 & | other | ) | const`[inline]`

References val.

void store | ( | float * | v | ) | const`[inline]`

References val.

fvec4 upperVec | ( |  | ) | const`[inline]`

References val.

## Member Data Documentation

__m256 val

Referenced by lowerVec(), operator __m256(), operator ivec8(), operator!=(), operator&(), operator*(), operator*=(), operator+(), operator+=(), operator-(), operator-=(), operator/(), operator/=(), operator<(), operator<=(), operator==(), operator>(), operator>=(), operator|(), store(), and upperVec().

The documentation for this class was generated from the following file:

- vectorize8.h